Summary: Pluggable Authentication Modules: modular, incremental authentication
Name: pam
Version: 0.50
Release: 22
Copyright: GPL or BSD
Group: Base
Source: http://gluon.physics.ucla.edu/~morgan/pam/Linux-PAM-0.50.tar.gz
Source1: pam_shell.tar.gz
Source2: Linux-PAM-0.50-listfile.tar.gz
Source3: pam_nologin.tar.gz
Patch: Linux-PAM-0.50-make.patch
Patch1: Linux-PAM-0.50-timeconf.patch
Patch2: Linux-PAM-0.50-groupconf.patch
Patch3: Linux-PAM-0.50-malloc.patch
Patch4: Linux-PAM-0.50-nodelay.patch
Patch5: Linux-PAM-0.50-securetty.patch
Patch6: Linux-PAM-0.50-cflags.patch
Patch7: Linux-PAM-0.50-abortonloaderr.patch
Patch8: Linux-PAM-0.50-prefix.patch
Patch9: Linux-PAM-0.50-prompt.patch
Patch10: Linux-PAM-0.50-shells.patch
Patch11: Linux-PAM-0.50-passwd.patch
Patch12: Linux-PAM-0.50-rhosts.patch
Patch13: Linux-PAM-0.50-axp.patch
Patch14: Linux-PAM-0.50-expire.patch
Patch15: Linux-PAM-0.50-make.patch2
Patch16: Linux-PAM-0.50-lckpwdf.patch
Patch17: Linux-PAM-0.50-noflock.patch
Patch18: Linux-PAM-0.50-listfile.patch
Patch19: Linux-PAM-0.50-equiv.patch
Patch20: Linux-PAM-0.50-secttyroot.patch
Patch21: Linux-PAM-0.50-nologin.patch
Patch22: Linux-PAM-0.50-passwdwrite.patch
Patch23: Linux-PAM-0.50-fascist.patch
Requires: pamconfig, cracklib-dicts

%description
PAM (Pluggable Authentication Modules) is a powerful, flexible,
extensible authentication system which allows the system administrator
to configure authentication services individually for every pam-compliant
application without recompiling any of the applications.

%prep
%setup -n Linux-PAM-0.50
tar xvzf $RPM_SOURCE_DIR/pam_shell.tar.gz
tar xvzf $RPM_SOURCE_DIR/Linux-PAM-0.50-listfile.tar.gz
tar xvzf $RPM_SOURCE_DIR/pam_nologin.tar.gz
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%patch14 -p1
%patch15 -p1
%patch16 -p1

%ifarch axp
%patch13 -p1 -b .noaxp
%endif

%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1 -b .ewt
%patch23 -p1 -b .fascist

%build
touch .freezemake
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf /lib/security/*
mkdir -p /usr/include/security
make install

%post
ldconfig
# /etc/pam.conf is owned by the setup package, and only contains
# lines for OTHER and DEFAULT.
# DEFAULT is for our scripts; it isn't used directly by PAM
# All apps which use pam use pamconfig to append appropriate
# service lines to /etc/pam.conf if they aren't already there.

%files
%doc Copyright doc/pam.sgml doc/pam_appl.sgml doc/pam_modules.sgml 
/lib/libpam.so.0.50
/lib/libpam.so
/lib/libpam_misc.a
/usr/include/security/_pam_types.h
/usr/include/security/pam_appl.h
/usr/include/security/pam_filter.h
/usr/include/security/pam_modules.h
/usr/include/security/pam_misc.h
/sbin/pam_filter
/lib/security
%config /etc/security/time.conf
%config /etc/security/group.conf
